# KSPCGNE

Applies the preconditioned conjugate gradient method to the normal equations without explicitly forming A^t*A

### Options Database Keys

-ksp_cg_type <Hermitian or symmetric -(for complex matrices only) indicates the matrix is Hermitian or symmetric

Notes: eigenvalue computation routines will return information about the spectrum of A^tA, rather than A.

This object is subclassed off of KSPCG

### See Also

KSPCreate(), KSPSetType(), KSPType (for list of available types), KSP,
KSPCGSetType()

Level:beginner
Location: src/ksp/ksp/impls/cg/cgne/cgne.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages